[ARX]问一个关于自定义实体的问题:不能在CAD中显示出来
<P>dwgInFields (AcDbDwgFiler *pFiler);<BR>dwgOutFields(AcDbDwgFiler *pFiler) const;<BR>dxfInFields (AcDbDxfFiler *pFiler);<BR>dxfOutFields(AcDbDxfFiler *pFiler) const;<BR>// 必须重载的函数,实现一个自定义实体的基本功能<BR>worldDraw(AcGiWorldDraw *mode);<BR>getGeomExtents(AcDbExtents & extents);<BR>(const AcGeMatrix3d & xform);<BR>getTransformedCopy(const AcGeMatrix3d &xform,AcDbEntity *&pEnt);<BR>(AcGePoint3dArray & gripPoints,AcDbIntArray &osnapModes, cDbIntArray & geomIds) const; <BR>moveGripPointsAt(const AcDbIntArray &indices, const AcGeVector3d &offset);</P><P>奇怪的是:该重载的我都重载了,但是都没有写实际的代码,只是在worldDraw中写了一些代码,想在CAD显示显示就够了,可是现在连显示都没有。而且,调试设断点,程序也没执行过去,不知道是什么原因,各位建议建议啊。<BR>Adesk::Boolean<BR>CWall::worldDraw(AcGiWorldDraw *mode)<BR>{<BR> assertReadEnabled();<BR> // TODO: implement this function.<BR> if(mode->regenAbort())<BR> return Adesk::kTrue;<BR> AcGePoint3d point;<BR> if(mode!=NULL)<BR> {<BR> mode->subEntityTraits().setColor(5);<BR> point.set(100.0,200.0,0.0);<BR> point.set(200.0,300.0,0.0);<BR> mode->geometry().polyline(2,point);<BR> }<BR> return Adesk::kTrue;<BR>}</P> return AcDbEntity::worldDraw(mode);
页:
[1]